Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7159 - Sound settings are not loaded if sound is not modular
Summary: Sound settings are not loaded if sound is not modular
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-19 21:54 UTC by Olivier Crête
Modified: 2014-03-17 02:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-30 21:14:35 UTC


Attachments (Terms of Use)

Description Olivier Crête 1999-11-19 21:54:08 UTC
The aumix loading in rc.sysinit is inside a "if" on sound modules (checks
if sound module is in conf.modules, it should be separate and use
/proc/devices like the halt scripts... You know, non modular sound still
exists...

Because right now it does not works with my kernel with non-modular sound
(well I just pulled the aumix part out of the "if" so it would work)

Where is rhsound gone?

Comment 1 Bill Nottingham 1999-11-22 16:12:59 UTC
rhsound went away.

This will be fixed in initscripts-4.66-1; the mixer loading
will be done automatically if sound is registered in /proc/devices.

Comment 2 Olivier Crête 1999-11-24 19:42:59 UTC
In the new initscript 4.67-1, there is an error in the test for the grep, part
the syntax is totally incorrect, you cannot have a grep directly inside a []
(which stands for the test command (man test and man bash))
The grep and the test have to be separated and combined with "&&" like that:
this is what should be in the next version:

if (grep -q "\(sparcaudio\|sound\)" /proc/devices 2>/dev/null) && [ -f
/etc/.aumixrc -a -x /bin/aumix-minimal ]; then

Comment 3 Bill Nottingham 1999-11-29 16:32:59 UTC
fixed in initscripts-4.69-1, in raw hide now.


Note You need to log in before you can comment on or make changes to this bug.